/**
 * @author dochmann
 */

class de.davidochmann.utilities.dogesture.events.GestureEvent extends Object
{
	public static var MOVE_COMPLETE:String    = "MOVE_COMPLETE";
	public static var GESTURE_COMPLETE:String = "GESTURE_COMPLETE";

	private var mType:String;	
	private var mTarget:Object;
	private var mComplete:Boolean;
	private var mIndex:Number;
	private var mGesture:Array;
	
	
	public function GestureEvent(pType:String,
								 pTarget:Object,
								 pComplete:Boolean,
								 pIndex:Number, 
								 pGesture:Array)
	{
		mType   = pType;
		mTarget = pTarget;
		
		setComplete(pComplete);
		setIndex(pIndex);
		setGetsture(pGesture);
	}
	
	
	public function get type():String
	{
		return mType;
	}

	public function get target():Object	
	{
		return mTarget;
	}


	public function getComplete():Boolean
	{
		return mComplete;
	}

	public function getIndex():Number
	{
		return mIndex;
	}

	public function getGesture():Array
	{
		return mGesture;
	}



	public function set type(pType:String):Void
	{
		mType = pType;
	}

	public function set target(pTarget:Object):Void
	{
		mTarget = pTarget;
	}


	public function setComplete(pComplete:Boolean):Void
	{
		var value:Boolean = pComplete;
		
		if(value == null)
			value = false;

		mComplete = value;
	}

	public function setIndex(pIndex:Number):Void
	{			
		mIndex = pIndex;
	}

	public function setGetsture(pGesture:Array):Void
	{
		mGesture = pGesture;
	}
}