/**
 * @author dochmann
 */

class de.davidochmann.utilities.dogesture.move.Move 
{
	private var mPositionX:Number;
	private var mPositionY:Number;

	private var mStartX:Number;
	private var mStartY:Number;	
	private var mStatus:Boolean;

	
	public function Move(pPositionX:Number,
						 pPositionY:Number)
	{
		setPositionX(pPositionX);
		setPositionY(pPositionY);
		setStatus(false);
	}
	

	public function getStatus():Boolean
	{
		return mStatus;	
	}
	
	public function getPositionX():Number
	{
		return mPositionX; 
	}
	
	public function getPositionY():Number
	{
		return mPositionY;
	}

	public function getStartX():Number
	{
		return mStartX;
	}

	public function getStartY():Number
	{
		return mStartY;
	}

	
	public function setStatus(pStatus:Boolean):Void
	{
		mStatus = pStatus;
	}

	public function setPositionX(pPositionX:Number):Void
	{
		var value:Number = pPositionX;
		
		if(value == null)
			value = 0;

		mPositionX = value;
	}

	public function setPositionY(pPositionY:Number):Void
	{
		var value:Number = pPositionY;
		
		if(value == null)
			value = 0;

		mPositionY = value;
	}

	public function setStartX(pStartX:Number):Void
	{
		mStartX = pStartX;
	}

	public function setStartY(pStartY:Number):Void
	{
		mStartY = pStartY;
	}
}

