package de.davidochmann.utilities.dogesture.interfaces 
{
	/**
	 * @author dochmann
	 */
	 
	import flash.display.DisplayObject;	 		
	 
	public interface IGesture 
	{
		function add(pPositionX:int, pPositionY:int):void;
		
		
		function start():void;
		
		function stop():void;
		
				
		function getSurface():DisplayObject;
		
		function getTimeout():uint;
		
		function getMoveArray():Array;
		
		
		function setSurface(pSurface:DisplayObject):void;
		
		function setTimeout(pTimeout:uint):void;
		
		function setMoveArray(pMoveArray:Array):void;
	}
}
